package com.steering.pss.sale.order.craftDesign.model;

public class ComBaseCustomRPlineEntity {
	/**
	 * 客户编码(最终用户)
	 */
	private String customerNo = "";
	/**
	 * 客户名称
	 */
	private String customerNm = "";
	/**
	 * 品名代码
	 */
	private String produccode = "";
	/**
	 * 品名描述
	 */
	private String producname = "";
	/**
	 * 产线代码
	 */
	private String plineCode = "";
	/**
	 * 产线描述
	 */
	private String plineName = "";
	/**
	 * 工序代码(A\B\C\D.....)
	 */
	private String processCdoe = "";
	/**
	 * 工序名称
	 */
	private String processDesc = "";
	/**
	 * 创建人
	 */
	private String createName = "";
	/**
	 * 创建时间
	 */
	private String createTime = "";
	/**
	 * 修改人
	 */
	private String updateName = "";
	/**
	 * 修改时间
	 */
	private String updateTime = "";
	/**
	 * 删除人
	 */
	private String deleteName = "";
	/**
	 * 删除时间
	 */
	private String deleteTime = "";
	/**
	 * 有效标志(1:有效，0:无效)
	 */
	private String validflag = "";
	/**
	 * 备注
	 */
	private String memo = "";

	/**
	 * 客户编码(最终用户)
	 * 
	 * @return value
	 */
	public String getCustomerNo() {
		return customerNo;
	}

	/**
	 * 客户编码(最终用户)
	 * 
	 * @param customerNo
	 *            value
	 */
	public void setCustomerNo(String customerNo) {
		this.customerNo = customerNo;
	}

	/**
	 * 客户名称
	 * 
	 * @return value
	 */
	public String getCustomerNm() {
		return customerNm;
	}

	/**
	 * 客户名称
	 * 
	 * @param customerNm
	 *            value
	 */
	public void setCustomerNm(String customerNm) {
		this.customerNm = customerNm;
	}

	/**
	 * 品名代码
	 * 
	 * @return value
	 */
	public String getProduccode() {
		return produccode;
	}

	/**
	 * 品名代码
	 * 
	 * @param produccode
	 *            value
	 */
	public void setProduccode(String produccode) {
		this.produccode = produccode;
	}

	/**
	 * 品名描述
	 * 
	 * @return value
	 */
	public String getProducname() {
		return producname;
	}

	/**
	 * 品名描述
	 * 
	 * @param producname
	 *            value
	 */
	public void setProducname(String producname) {
		this.producname = producname;
	}

	/**
	 * 产线代码
	 * 
	 * @return value
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 * 产线代码
	 * 
	 * @param plineCode
	 *            value
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 产线描述
	 * 
	 * @return value
	 */
	public String getPlineName() {
		return plineName;
	}

	/**
	 * 产线描述
	 * 
	 * @param plineName
	 *            value
	 */
	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	/**
	 * 工序代码(A\B\C\D.....)
	 * 
	 * @return value
	 */
	public String getProcessCdoe() {
		return processCdoe;
	}

	/**
	 * 工序代码(A\B\C\D.....)
	 * 
	 * @param processCdoe
	 *            value
	 */
	public void setProcessCdoe(String processCdoe) {
		this.processCdoe = processCdoe;
	}

	/**
	 * 工序名称
	 * 
	 * @return value
	 */
	public String getProcessDesc() {
		return processDesc;
	}

	/**
	 * 工序名称
	 * 
	 * @param processDesc
	 *            value
	 */
	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 删除人
	 * 
	 * @return value
	 */
	public String getDeleteName() {
		return deleteName;
	}

	/**
	 * 删除人
	 * 
	 * @param deleteName
	 *            value
	 */
	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	/**
	 * 删除时间
	 * 
	 * @return value
	 */
	public String getDeleteTime() {
		return deleteTime;
	}

	/**
	 * 删除时间
	 * 
	 * @param deleteTime
	 *            value
	 */
	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}
}
